# LC URBAN ENHANCEMENTS

Safehouses, Parking area, Bus Transport, Save Anywhere, Car Repair, Fuel, Hotels, and extra abilities to the player.
This mod adds a range of new features to Liberty City:

- buy safehouses, with parking spaces
- public parking
- working bus transport system
- save the game anywhere, anytime
- car services workshops
- fuel mechanics and gas stations
- hotels
- ferry service
- extra player abilities

## Safehouses

This mod adds a number of safehouses around the map, plus the ability to you to add more safehouses.
But you have to buy them!!
To do so, head over to the Blue House icon on the map, that is the real estate broker.
Press [Enter] on the mark to start the selling mode.
The broker will follow you along the available houses for sale. (yellow house icons)
As you choose the house of your dreams, hit [enter] to buy it.
The broker will leave with the cash...

Once you bought it, the house is yours forever as long as you save your game, and you can save your game there. It will advance the time to six hours. Just like the game.

Those houses will usually feature a _Parking Area_ where you can store as much vehicles you can fit in there, as long as you own the house.
The workings and details about parking areas are described in the next section.
The only difference is that parking on the houses you own is free.

## Public Parking

Do you know all those parking lots around Liberty City? They now work!!
You can store as much vehicles the game can handle.
Parking on those areas costs game money, and the price works just like stated in the in game signs.
Different prices for 1 hour, day, night and 24 hours.
The maximum ticket is for 24h, it doesn't matter how long you car is parked.
The vehicles will maintain the dirt level, radio station tuned, fuel quantity and odometer readings.
Any damage will be repaired once the game is reloaded.

Once a car is parked in one of those areas it becomes permanent in the game. It will not disappear even if you take another car or go very far away from it.

## Bus Transport System

Now you can ride a bus around Liberty City!

There are busses riding around and they will stop in the terminals. They are an effective way to move around the city. Pedestrians will share your ride.
To take a bus, press "B" when you are close to one.
They will wait on the bus stops around the map. Plus there are others on key areas like close to Subway stations. Most busses ride random paths, but some specific terminals are connected in order to provide an efficient means of public transportation.

You can also be the driver! To start a bus mission, take a bus as a driver and then press "B".
Just don't expect to get rich living an honest life in LC...

## Save anywhere

The title says it all, you can save your game at anytime, anywhere.
When you reload your game, you'll be spawned at the same place you saved.
Press F11 to activate the save menu.

## Car Repair Services

There are auto repair services around LC where you can get your car fixed.
Head over to the orange car icons around the map to get your vehicle repaired.
Depending on the vehicle, you can also do some limited tuning, changing features of the car.

How to use it: once you are on the area, navigate the menu with Keypad Up/Down Arrows, then hit "Numpad 5" to select your option.

## Fuel Mechanics

Vehicles require fuel, you can fuel your car in any fuel station. (Green Car Icon)
The fuel tank size and mileage where taken from real life equivalent cars (not all vehicle models done yet)
There will be a small dashboard showing fuel quantity, odometer and speed.
To fuel your car, stop at the gas station, and navigate the menu with Keypad Up/Down Arrows, then hit "Numpad 5" to select your option.

__What if your car runs out of fuel?__
The car will stop, but you can still save it. Head over on foot to a gas station and buy some spare gas. Then go back to your car and you have some more miles to go.

## Hotels

The hotels around LC are working now. You can save your game there for a fee.
Similar to safehouses the in game time will advance 6 hours.
Hotels can have a range of prices.
Small red house icon.

## Ferry and Shipping services

Similar to the busses you can take a ferry boat to take you from one island to another.
The mechanics are similar to the busses. Press "B" to onboard as a passenger.

Smaller boat lines to/from:
- Algonquin - Liberty Island
- Alderney ferry terminal - Algonquin
- Broker - Algonquin
- Bohan - Broker
- Bohan - Algonquin

Big ships (Tuga) lines to/from:
- Bohan terminal - Tudor terminal port

# Extra Player abilities

- Enter a car as passenger (G Key) - the player can enter a vehicle as a passenger. Note that the driver probably won't like it. Press G again, and you will change your seat.

- Fix car engine (SHIT-F) - the player can perform small fixes on a vehicle themselves. Hit Ctrl F when close, but outside your car.

- Control car lights ("<" or ">" keys) - You can control the turn signs or blinkers of your car. Press Both keys for to turn on the hazard lights.

- Open/Shut car hood/trunk and doors
    - Hood - Shift + Numpad 8
    - Trunk - Shift + Numpad 2
    - Front Left Door - Shift + numpad 4
    - Front Right Door - Shift + numpad 6
    - Back Left Door - Shift + numpad 1
    - Back Right Door - Shift + numpad 3

- Sit Down/Stand Up (ALT X)

# Requirements

- ASI Loader

# Installation

Copy the contents of the mod to the game folder. Have a ASI Loader. Have fun!
There should be a file named
    LCUrbanEnhancements.asi - the mod itself
    urban_enhancements/ - folder with a bunch of csv files

The mod will only work with all the required files, and this folder __must be writable__. So the player data can be saved there.


# Configuration
    You will find in the mod folder a file named urban.conf (<game folder>\urban_enhancements\urban.conf)
    Edit this file removing the '#' character from the line you want to modify and set the values as you wish.
    In this file you will find intructions what options you can modify.


# Tested on

- GTA IV - 1.0.7.0
- TLAD
- TBGT

# Limitations and Things to Know

## Parking

While you in theory you can hoard as much vehicles you can fit in the parking areas. There seems to be limitations on the game itself on how many vehicles it can handle.
That number might depend on your computer and settings.
In my tests I started to have problems with around 80 vehicles.
That number was reached with a vehicle density of 29, in the settings.
The game might start to crash when you reach certain areas of the city, or hail a cab.
If you have a lot of cars and notice this behavior, there might be the time to take some vehicles to Stevie.

## Ferry and Ship service

Boat drivers are stupid! Seriously I mean it. 
There is not as much waypoints in water as there are on land.
Boats may often get stuck, capsize, crash or sometimes miss the port.
The developer of this mod did their best to ensure a safe and efficient voyage to you, the player.
If you think some boat line have more accidents than reasonable (even for LC), let me know so we can try to improve it.
Anyway safety standards was never taken seriously in Liberty City. Be safe!

## About save games

Parked cars, Safe houses and all the player data will be stored on a folder named __urban_enhancements/__ inside the game folder. Each save game will be assigned a number, and you can find a folder for each save game there. That way you can have different savegames with independent cars and houses. See next.

## Savegame ID

Your savegames will be identified by an unique numerical ID.
Once you save the game, all the data relative to this savegame will be stored inside the above mentioned mod folder, in a subfolder named as such number. Like __urban_enhancements/1/__, __urban_enhancements/2/__, etc.
You can backup your cars and houses by copying this folder.

# HAVE FUN!


